﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ThinkGeo.Core;

namespace WpfApp40
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        InMemoryFeatureLayer inMemoryFeatureLayer;

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            mapView.MapUnit = GeographyUnit.Meter;

            // Please input your ThinkGeo Cloud Client ID / Client Secret to enable the background map.
            ThinkGeoCloudRasterMapsOverlay thinkGeoCloudMapsOverlay = new ThinkGeoCloudRasterMapsOverlay("BvRsl-73bP_CZ3y-Y0xcRymWnA372QmKAtfM4t00_4E~", "QMTq_9E1fnyXImMPD-c-whzdS7MC8V2PDde6gBJ3dpq8bL_FJQztog~~");
            thinkGeoCloudMapsOverlay.MapType = ThinkGeoCloudRasterMapsMapType.Light;
            thinkGeoCloudMapsOverlay.WrappingMode = WrappingMode.WrapDateline;
            mapView.Overlays.Add("ThinkGeo Cloud Maps", thinkGeoCloudMapsOverlay);

            LayerOverlay inMemoryOverlay = new LayerOverlay();
            // Create the in memory layer and add it to the map
            inMemoryFeatureLayer = new InMemoryFeatureLayer();
            inMemoryOverlay.Layers.Add("Frisco Mosquitos", inMemoryFeatureLayer);

            // Loop through all the features in the first layer and add them to the in memeory layer.  We use a shortcut called internal 
            // features that is supported in the in memory layer instead of going through the edit tools

            inMemoryFeatureLayer.InternalFeatures.Add(new Feature(0, 0));

            // Create an point style and add the text style from above on zoom level 1 and then apply it to all zoom levels up to 20.            
            inMemoryFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = new PointStyle(PointSymbolType.Circle, 12, GeoBrushes.Red, GeoPens.White);

            inMemoryFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            mapView.Overlays.Add(inMemoryOverlay);


        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            inMemoryFeatureLayer.InternalFeatures.Add(new Feature(500000, 500000));
            mapView.Refresh();
        }
    }
}
